---
title: BluetoothRemoteGATTServer.disconnect()
slug: Web/API/BluetoothRemoteGATTServer/disconnect
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTServer
  - Experimental
  - Method
  - Reference
  - Web Bluetooth API
  - disconnect()
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTServer.disconnect()</code></strong> method causes the script execution environment to disconnect from <code>this.device</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">BluetoothRemoteGATTServer.disconnect()</pre>

<h3 id="Returns">Returns</h3>

<p>None.</p>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattserver-disconnect", "disconnect()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTServer.disconnect")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
